ICM_SR_Type Union Reference

## Data Fields

struct {
uint32_t ENABLE:1
uint32_t __pad0__:7
uint32_t RAWRMDIS:4
uint32_t RMDIS:4
uint32_t __pad1__:16
} | bit
uint32_t | reg

## Detailed Description

Definition at line 138 of file icm.h.

## Field Documentation

## __pad0__

uint32_t ICM_SR_Type::__pad0__

bit: 1.. 7 Reserved

Definition at line 141 of file icm.h.

## __pad1__

uint32_t ICM_SR_Type::__pad1__

bit: 16..31 Reserved

Definition at line 144 of file icm.h.

## bit

struct { ... } ICM_SR_Type::bit

Structure used for bit access

## ENABLE

uint32_t ICM_SR_Type::ENABLE

bit: 0 ICM Controller Enable Register

Definition at line 140 of file icm.h.

## RAWRMDIS

uint32_t ICM_SR_Type::RAWRMDIS

bit: 8..11 RAW Region Monitoring Disabled Status

Definition at line 142 of file icm.h.

## reg

uint32_t ICM_SR_Type::reg

Type used for register access

Definition at line 146 of file icm.h.

## RMDIS

uint32_t ICM_SR_Type::RMDIS

bit: 12..15 Region Monitoring Disabled Status

Definition at line 143 of file icm.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/icm.h